<button mat-icon-button (click)="toggleSettings()" aria-label="Filter" class="toggleSettings">
    <mat-icon aria-hidden="true">filter_list</mat-icon>
</button>

<mat-card *ngIf="expanded" [@expandAnimation]>
  <mat-spinner style="margin: 50px auto;" *ngIf="!dataLoaded"></mat-spinner>

  <mat-tab-group *ngIf="dataLoaded" (selectedTabChange)="tabChange($event.tab.textLabel)" dynamicHeight>
    <mat-tab label="profiles">

      <div class="searchPanel">
        <mat-form-field class="search" #searchFields>
          <mat-label>Search</mat-label>
          <input matInput [(ngModel)]="profileSearchValue" (input)="filterItems($event, 'profile')">
          <mat-icon matSuffix>search</mat-icon>
        </mat-form-field>
      </div>

      <div class="itemList" *ngIf="(fmService.activeTab$ | async) === 'profile'">
          <mat-chip-listbox aria-label="Profile selection">
              <mat-chip
                *ngFor="let profile of (fmService.profiles$ | async)"
                (click)="fmService.toggleActiveItem(profile.id, 'profile')"
              >
              <img matChipAvatar src="{{ mediaEndpoint + 'logos/' + profile.logo }}" alt="logo"/>
              {{profile.shortcut}}
              <!-- <mat-icon matChipRemove (click)="removeProfile(profile)">cancel</mat-icon> -->
            </mat-chip>
        </mat-chip-listbox>
      </div>

    </mat-tab>
    <mat-tab label="networks">

      <div class="searchPanel">
        <mat-form-field class="search" #searchFields>
          <mat-label>Search</mat-label>
          <input matInput [(ngModel)]="networkSearchValue" (input)="filterItems($event, 'network')">
          <mat-icon matSuffix>search</mat-icon>
        </mat-form-field>
      </div>

      <div style="display: flex; flex-wrap: wrap;">
        <mat-chip-listbox
          aria-label="Network Selection"
          (change)="fmService.updateActiveItems($event.value, 'network')"
          multiple
        >
          <mat-chip-option
            #chipOption
            *ngFor="let network of (fmService.networks$ | async)"
            [value]="network.id"
          >
            <img matChipAvatar src="{{ mediaEndpoint + 'logos/' + network.logo }}" alt="logo"/>
            {{network.shortcut}}
            <!-- <mat-icon matChipRemove (click)="removeNetwork(network)">cancel</mat-icon> -->
          </mat-chip-option>
        </mat-chip-listbox>
      </div>

    </mat-tab>
    <mat-tab label="cluster">

      <div class="searchPanel">
        <mat-form-field class="search" #searchFields>
          <mat-label>Search</mat-label>
          <input matInput [(ngModel)]="clusterSearchValue" (input)="filterItems($event, 'cluster')">
          <mat-icon matSuffix>search</mat-icon>
        </mat-form-field>

      </div>

      <div style="display: flex; flex-wrap: wrap;">
        <mat-chip-listbox aria-label="Cluster Selection" (change)="fmService.updateActiveItems($event.value, 'cluster')" multiple>
          <mat-chip-option
            *ngFor="let cluster of (fmService.clusters$ | async)"
            [value]="cluster.id"
          >
            {{cluster.name}}
            <!-- <mat-icon matChipRemove (click)="removeCluster(cluster)">cancel</mat-icon> -->
          </mat-chip-option>
        </mat-chip-listbox>
      </div>

    </mat-tab>
  </mat-tab-group>
</mat-card>
